#pragma once

namespace LaCie
{
enum class TaskStatus
{
    NotStarted = 0,
    Initialization = 1,
    DeviceFinding = 2,
    Flashing = 3,
    Finished = 4,
};

enum class TaskResult
{
    NoError = 0,
    InputDataValidationFailed = 1,
    FirmwareUpdatingFailed = 2,
    ChipInReadOlyMode = 3,
    NxpButtonNotPressed = 4,
    FirmwareWriteFaled = 5,
    FirmwareCopyCheckFailed = 6,
    ConfigDataNotAccessible = 7,
    ChipSignatureInvalid = 8,
    ConfigWriteFailed = 9,
    UnhandledError = 100
};
}   // namespace LaCie
